ByCloud Docs
GuidesCLIAPISDK
get/v1/pools/{pool_id}/members

List pool members

List all members in a pool

Path Parameters

pool_id

string<uuid>required

path

Pool ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Query Parameters

limit

integeroptional

query

Maximum number of items to return

Default: 20

Example: 20

marker

string<uuid>optional

query

ID of the last item from the previous page (for pagination)

Example: "550e8400-e29b-41d4-a716-446655440000"

Responses

200

List of pool members

Content-Type: application/json

members

arrayoptional

meta

objectoptional

links

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
404

Pool not found

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/pools/550e8400-e29b-41d4-a716-446655440000/members" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

List of pool members

{
"members": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:loadbalancer:member:550e8400-e29b-41d4-a716-446655440000",
"name": "web-server-1",
"provisioning_status": "ACTIVE",
"operating_status": "ONLINE",
"address": "192.168.1.10",
"protocol_port": 8080,
"weight": 1,
"subnet_id": "550e8400-e29b-41d4-a716-446655440000",
"monitor_address": "string",
"monitor_port": 0,
"backup": false,
"tags": [
"web",
"frontend"
],
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
],
"meta": {
"total": 150,
"limit": 20,
"marker": "550e8400-e29b-41d4-a716-446655440000",
"has_more": true
},
"links": {
"self": "https://api.spo1.mycloud.com/v1/instances?limit=20",
"next": "https://api.spo1.mycloud.com/v1/instances?limit=20&marker=550e8400-e29b-41d4-a716-446655440000",
"previous": "https://api.spo1.mycloud.com/v1/instances?limit=20&marker=440e8400-e29b-41d4-a716-446655440000"
}
}